JCF-DUMP(1)

NAME
jcf-dump - print information about Java class files

SYNOPSIS
jcf-dump [-c] [--javap]
    [--classpath=path] [--CLASSPATH=path]
    [-Idir...] [-o file]
    [--version] [--help] [-v] [--verbose]
    classname...

DESCRIPTION
This is a class file examiner, similar to "javap". It will print information about a number of classes, which are specified by class name or file name.

OPTIONS

-c  Disassemble method bodies. By default method bodies are not printed.

--print-constants
    Print the constant pool. When printing a reference to a constant also print its index in the constant pool.

--javap
    Generate output in "javap" format. The implementation of this feature is very incomplete.

--classpath=path
--CLASSPATH=path
-Idirectory
-o file
    These options as the same as the corresponding gcj options.

--help
    Print help, then exit.

--version
    Print version number, then exit.

-v, --verbose
    Print extra information while running. Implies "--print-constants".

SEE ALSO
gcc(1), gcj(1), gcjh(1), gij(1), jcf-dump(1), gfdl(7), and the Info entries for gcj and gcc.

COPYRIGHT
Copyright (c) 2001-2013 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, the Front-Cover Texts being (a) (see below), and with the Back-Cover Texts being (b) (see below). A copy of the license is included in the man page gfdl(7).

(a) The FSF's Front-Cover Text is:

     A GNU Manual

(b) The FSF's Back-Cover Text is:

     You have freedom to copy and modify this GNU Manual, like GNU
     software.  Copies published by the Free Software Foundation raise
     funds for GNU development.